#ifndef ComponentClassDescription_hh_seen
#define ComponentClassDescription_hh_seen
namespace neo {
namespace cca {
namespace ports {

class ComponentClassDescription { 
public:
	
  virtual ~ComponentClassDescription() {}
  virtual ::std::string getComponentClassName() throw (neo::cca::Exception )= 0;
  virtual ::std::string getDeploymentClassAlias() throw (neo::cca::Exception )= 0;
#if 0 // not part of neo yet, if ever
  virtual ::std::string getCCASpecBinding() throw (neo::cca::Exception )= 0;
  virtual ::std::string getIndexFile() throw (neo::cca::Exception )= 0;
  virtual ::std::string getConstructorName() throw (neo::cca::Exception )= 0;
  virtual ::std::string getLibraryLoading() throw (neo::cca::Exception )= 0;
  virtual ::std::string getLibraryName() throw (neo::cca::Exception )= 0;
  virtual ::std::string getLibraryLocation() throw (neo::cca::Exception)= 0;
  virtual ::std::string getExecScript() throw (neo::cca::Exception )= 0;
  virtual void getDOMTree() throw (neo::cca::Exception )= 0;
#endif

};

typedef boost::shared_ptr< ComponentClassDescription > ComponentClassDescription_shared;


}  // end namespace ports
}  // end namespace cca
}  // end namespace neo

#endif // ComponentClassDescription_hh_seen
