#ifndef __neoTIMEPRODUCERPORT_H__
#define __neoTIMEPRODUCERPORT_H__

namespace neo {
namespace cca {
namespace ports {


/** An example port for an interface for providing a time service.
 * string name is "neo.cca.ports.TimeProducerPort"
 */
class TimeProducerPort : public virtual neo::cca::Port {
private:
public:
	
  /** obligatory vdtor */
  virtual ~TimeProducerPort(){}

  /** Produce the time as a string. */
  virtual std::string getTime()= 0;
};


}  // end namespace ports
}  // end namespace cca
}  // end namespace neo

#endif //__neoTIMEPRODUCERPORT_H__
