#ifndef neomain_hh_seen
#define neomain_hh_seen
/**
 * class to encapsulate a generated driver.
 * One of the ccaffeine framework constructors
 * will take one of these as an argument.
 *
 * This hides the details of extracting
 * an abstract framework pointer from ccaffeine.
 */
class NeoMain {
public:
	virtual ~NeoMain() {}
	virtual void driverBody(neo::cca::AbstractFramework *af) = 0;
};

#endif // neomain_hh_seen
