#ifndef __NEOTEST_GO_H__
#define __NEOTEST_GO_H__

namespace neo {
namespace test {

 
/**
Uses neo GoPortFactory and JPrintfPort
in response to its GoPort. 
*/
class Go : public virtual neo::cca::Component, public virtual neo::cca::ComponentRelease, public virtual neo::cca::ports::GoPort {

private:

  neo::cca::Services *myCore;

public:

  Go();
  virtual ~Go();

  virtual void setServices(neo::cca::Services *cc) throw(neo::cca::Exception);

  /** This generates printouts. */
  virtual int go();

  virtual void releaseServices(neo::cca::Services *svc) throw(neo::cca::Exception);

};

}   // end namespace test
}   // end namespace neo

#endif //__NEOTEST_GO_H__
